org.apache.hadoop.yarn.server.nodemanager.webapp

## Class NMController

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.Controller
  - - org.apache.hadoop.yarn.server.nodemanager.webapp.NMController

- All Implemented Interfaces:
    org.apache.hadoop.yarn.webapp.Params, org.apache.hadoop.yarn.webapp.YarnWebParams

      public class NMController
      extends org.apache.hadoop.yarn.webapp.Controller
      implements org.apache.hadoop.yarn.webapp.YarnWebParams

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.Controller

      `org.apache.hadoop.yarn.webapp.Controller.RequestContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.Controller

      `LOG`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.YarnWebParams

      `APP_HISTORY_WEB_UI, APP_OWNER, APP_START_TIME_BEGIN, APP_START_TIME_END, APP_STATE, APPLICATION_ATTEMPT_ID, APPLICATION_ID, APPS_NUM, CONTAINER_ID, CONTAINER_LOG_TYPE, ENTITY_STRING, ERROR_MESSAGE, NEXT_REFRESH_INTERVAL, NM_NODENAME, NODE_LABEL, NODE_STATE, QUEUE_NAME, RM_WEB_UI, WEB_UI_TYPE`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMController(org.apache.hadoop.yarn.webapp.Controller.RequestContext requestContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allApplications()`
    `void` | `allContainers()`
    `void` | `application()`
    `void` | `container()`
    `void` | `errorsAndWarnings()`
    `void` | `index()`
    `void` | `info()`
    `void` | `logs()`
    `void` | `node()`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.Controller

      `$, context, cookies, echo, error, get, getInstance, inDevMode, info, injector, render, renderJSON, renderJSON, renderText, request, response, set, setStatus, setTitle, setTitle, status, url, writer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NMController

          @Inject
          public NMController(org.apache.hadoop.yarn.webapp.Controller.RequestContext requestContext)

  - ### Method Detail

    - #### index

          public void index()

      Specified by:
        `index` in class `org.apache.hadoop.yarn.webapp.Controller`

    - #### info

          public void info()

    - #### node

          public void node()

    - #### allApplications

          public void allApplications()

    - #### allContainers

          public void allContainers()

    - #### application

          public void application()

    - #### container

          public void container()

    - #### errorsAndWarnings

          public void errorsAndWarnings()

    - #### logs

          public void logs()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.